package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljgtj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcZfwzMapper;
import com.ruoyi.tcZz.domain.TcZfwz;
import com.ruoyi.tcZz.service.ITcZfwzService;

/**
 * 政府网站Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcZfwzServiceImpl implements ITcZfwzService 
{
    @Autowired
    private TcZfwzMapper tcZfwzMapper;

    /**
     * 查询政府网站
     * 
     * @param id 政府网站主键
     * @return 政府网站
     */
    @Override
    public TcZfwz selectTcZfwzById(Long id)
    {
        return tcZfwzMapper.selectTcZfwzById(id);
    }

    /**
     * 查询政府网站列表
     * 
     * @param tcZfwz 政府网站
     * @return 政府网站
     */
    @Override
    public List<TcZfwz> selectTcZfwzList(TcZfwz tcZfwz)
    {
        return tcZfwzMapper.selectTcZfwzList(tcZfwz);
    }

    /**
     * 新增政府网站
     * 
     * @param tcZfwz 政府网站
     * @return 结果
     */
    @Override
    public int insertTcZfwz(TcZfwz tcZfwz)
    {
        tcZfwz.setCreateTime(DateUtils.getNowDate());
        return tcZfwzMapper.insertTcZfwz(tcZfwz);
    }

    /**
     * 修改政府网站
     * 
     * @param tcZfwz 政府网站
     * @return 结果
     */
    @Override
    public int updateTcZfwz(TcZfwz tcZfwz)
    {
        tcZfwz.setUpdateTime(DateUtils.getNowDate());
        return tcZfwzMapper.updateTcZfwz(tcZfwz);
    }

    /**
     * 批量删除政府网站
     * 
     * @param ids 需要删除的政府网站主键
     * @return 结果
     */
    @Override
    public int deleteTcZfwzByIds(Long[] ids)
    {
        return tcZfwzMapper.deleteTcZfwzByIds(ids);
    }

    /**
     * 删除政府网站信息
     * 
     * @param id 政府网站主键
     * @return 结果
     */
    @Override
    public int deleteTcZfwzById(Long id)
    {
        return tcZfwzMapper.deleteTcZfwzById(id);
    }

    @Override
    public String importUser(List<TcZfwz> tcZfwzList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcZfwzList.isEmpty()) {
            for (TcZfwz tcZfwz : tcZfwzList) {
                tcZfwzMapper.insertTcZfwz(tcZfwz);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcZfwzMapper.updateByisStatus(isStatus,ids);
    }
}
